////////////////////////////////////////////////////////////////////////////
//
//  STR_FUNCS.PAS
//
//  Ntzliche Funktionen (kommen noch mehr)
//
//
//	Autor 	  : Rene Bllhoff
//  Erstellt  : Mrz 2007
//
//	(c) 2005-2007 by Rene Bllhoff - reneboellhoff (at) gmx (dot) de -
////////////////////////////////////////////////////////////////////////////
//
//  This source file may be used and distributed without
//  restriction provided that this copyright statement is not
//  removed from the file and that any derivative work contains
//  the original copyright notice and the associated disclaimer.
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public
//  License along with this source; if not, download it	from
//  http://www.gnu.org/licenses/gpl.html
//
////////////////////////////////////////////////////////////////////////////
unit strfuncs;

interface

uses sysutils, math, dialogs, classes;

procedure info              (x : ansistring);
function  GetUntil          (x : ansistring; sc : char; var rest : ansistring) : ansistring;

implementation

// einfach info-dialog anzeigen
procedure info              (x : ansistring);
begin
  messagedlg (x, mtinformation, [mbok], 0);
end;

// string beim ersten zeichen sc aufspalten
// (result = anfang - zeichen; rest = zeichen - ende; zeichen wird nicht zurckgegebn)
function  GetUntil          (x : ansistring; sc : char; var rest : ansistring) : ansistring;
var c : word;
begin
  result := '';
  rest   := '';
  // is was da ?
  if x <> '' then
  begin
    // zeichen sc vorhanden ?
    c := pos (sc, x);
    if (c <> 0) then
      begin
        if c = 1 then rest := copy (x, c + 1, length (x))
                 else begin
                        result := copy (x, 1, c - 1);
                        rest   := copy (x, c + 1, length (x));
                      end;
      end
    else
      // kein sc dann komplett result & rest = ''
      result := x;
  end;
end;




end.
